=== debian/changelog ===
sonivoxeas (1.3.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 14:05:10 +0100
